regexp.h File Reference
`#include <wibble/exception.h>`
`#include <sys/types.h>`
`#include <regex.h>`
Include dependency graph for regexp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | wibble::exception::Regexp
class | wibble::Regexp
class | wibble::ERegexp
class | wibble::Tokenizer
class | wibble::Tokenizer::const_iterator
class | wibble::Splitter
| Split a string using a regular expression to match the token separators. More...
class | wibble::Splitter::const_iterator
| Warning: the various iterators reuse the Regexps and therefore only one iteration of a Splitter can be done at a given time. More...

## Namespaces

| wibble
| wibble::exception